module Ooz
  module Base
    class Field < Base::Model
      passthrough  :_id, :_type, :label, :tooltip, :patch_ver, to: :doc
      passthrough  :global_binding, to: :doc
      passthrough  :hidden, :deindex, :accent, to: :doc
      passthrough  :required, :hide_view, :hidden_on_reports, to: :doc
    end
  end
end

require_relative "field/undefined"
require_relative "field/select"
require_relative "field/date"
require_relative "field/plain_text"
require_relative "field/rich_text"
require_relative "field/number"
require_relative "field/gauge"
require_relative "field/people"
require_relative "field/tag_field"
require_relative "field/cross_reference"
require_relative "field/file"
require_relative "field/image_gallery"
require_relative "field/checklist"
