module Ooz
  module Base
    class Field
      class Gauge < Field
      end
    end
  end
end

require_relative "gauge/stop"

module Ooz
  module Base
    class Field
      class Gauge
        overridable_const :gauge_stop_class, Base::Field::Gauge::Stop
        passthrough :value, :max, to: :doc
        passthrough_arr :stops, to: :doc, klass: :gauge_stop_class
      end
    end
  end
end
