module Ooz
  module Base
    class Stage
      class Task
        class ScheduledCallback < Base::Model
          overridable_const :action_factory_class, Base::Stage::Task::ActionFactory
          passthrough  :_id, :patch_ver, to: :doc
          passthrough  :due_ctr, :due_unit, :recurs, :recurs_unit, :recurs_ctr, to: :doc
          passthrough_arr :actions, to: :doc, klass: action_factory_class
        end
      end
    end
  end
end
