module Ooz
  module Base
    class Field
      class Checklist < Field
      end
    end
  end
end

require_relative "checklist/item"

module Ooz
  module Base
    class Field
      class Checklist
        overridable_const :checklist_item_class, Base::Field::Checklist::Item
        passthrough :complete, to: :doc
        passthrough_arr :items, to: :doc, klass: :checklist_item_class
      end
    end
  end
end
