module Ooz
  module Base
    class Field
      class ImageGallery < Field
      end
    end
  end
end

require_relative "image_gallery/image"

module Ooz
  module Base
    class Field
      class ImageGallery
        overridable_const :image_class, Base::Field::ImageGallery::Image
        passthrough :stretch, :no_popup, :hide_options, :layout, to: :doc
        passthrough_arr :images, to: :doc, klass: :image_class
      end
    end
  end
end
