module Ooz
  module Base
    class Model < Common::BaseModel

      attr_reader :root

      def initialize(*args, root: nil)
        super(*args)
        @root = root
      end

      def ooze
        self.is_a?(Ooze)? self : root && root.ooze
      end

      private

      def to_hash(arr, key: "_id")
        raise "Sorry, expected Array, given: #{arr.class.name}" if !arr.is_a?(Array)
        arr.map do |e|
          [e.send(key), e]
        end.to_h
      end

      def collect_from(ids, elements_hash)
        raise "Sorry, 'ids' expected to be Array, given: #{arr.class.name}" if !ids.is_a?(Array)
        raise "Expected hash, given: #{elements_hash.class.name}" if !elements_hash.is_a?(Hash)
        ids.map do |id|
          elements_hash[id].tap do |e|
            puts "Warning: there is no element with id '#{id}'" if !e
          end
        end
      end

    end
  end
end
