module Ooz
  module Base
    class Stage
      class Task
        class Strategy < Base::Model
          overridable_const :priority_class, Base::Stage::Task::Priority
          passthrough  :_id, :_type, :order, :patch_ver, to: :doc
          passthrough_cls :priorities, to: :doc, klass: priority_class
        end
      end
    end
  end
end


require_relative "strategy/scheduler"
require_relative "strategy/prior"
require_relative "strategy/prior_supervisor"
require_relative "strategy/supervisor"
require_relative "strategy/editable"
require_relative "strategy/direct"
