module Ooz
  module Model
    class Stage < Base::Stage
      overridable_const :task_completion_class, Model::Stage::Task::Completion
      overridable_const :task_review_class, Model::Stage::Task::Review

      def sections?
        flow_node_ids && flow_node_ids.length > 0
      end

      def sections
        return [] if !sections?
        collect_from(flow_node_ids, ooze.sections_hash)
      end

    end
  end
end
